<?php 
	$course_path = $data_section_parent_folder .'/'. $data_section_system_name;
	//$course_path = "college/test/academic/atlas/2010/spring/section/regular/test/FILM373-000";
			
	// Read the Asset
	$path = array('path' => $course_path, 'siteName' => 'College');
	$id = array('path' => $path, 'type' => 'page');
	$readParams = array( 'authentication' => $auth, 'identifier' => $id );				
				
	$pageRead = $service->read($readParams);
				
	if ( $pageRead->readReturn->success != 'true' ) { // Unsuccessful read return 
		// Can't find the department page
		echo "<h3>". $course_path ." doesn't exist.</h3>";
	} else { // Successful Read Return
		// Reset Counts for Resources
		$RequiredResource_count = 0;
		$RecommendedResource_count = 0;
		$AssessmentAssignment_count = 0;
		$AssessmentExam_count = 0;
	
		$field_list = array();
		$structure = '';
		
		$thePage = $pageRead->readReturn->asset->page;
		
		foreach($thePage as $key=>$value) {
			if ($key == 'name') {
				$nameKey = 'section_'.$key;
				$$nameKey = $value;
				array_push($field_list, $nameKey);
			} else if((is_string($value)) || ($key == 'shouldBePublished') || ($key == 'shouldBeIndexed') || (empty($value))) {
				$$key = $value;
				array_push($field_list, $key);
			} else {
				// METADATA
				if ($key == 'metadata') {
					foreach($thePage->metadata as $key=>$value) {
						if ((is_string($value)) || (empty($value))) {
							$name = 'metadata_'.$key;
							$$name = $value;
							array_push($field_list, $name);
						} else {
							// METADATA - DYNAMIC FIELDS
							if ($key == 'dynamicFields') {
								foreach($thePage->metadata->dynamicFields->dynamicField as $key => $value) {
									if (count($value->fieldValues->fieldValue) == 1) {
										$name = 'metadata_dynamicField_' . $value->name;
										$$name = $value->fieldValues->fieldValue->value;
										array_push($field_list, $name);
									} else {	
										$name =  'metadata_dynamicField_' . $value->name;
										$thisValue = '';
										foreach ($value->fieldValues->fieldValue as $key => $value){
											$thisValue .= $value->value .',';
										}
										$thisValue = rtrim($thisValue, ',');
										$$name = $thisValue;
										array_push($field_list, $name);
									} // End if
								} // End foreach
							} else {
								$structure .= '<div><b>'.$key.'</b></div>';
							} // End if
						} // End if
					} // End foreach
				// PAGE CONFIGURATION
				} elseif ($key == 'pageConfigurations') {
					$PCid = $thePage->pageConfigurations->pageConfiguration[0]->id;
					$PCname = $thePage->pageConfigurations->pageConfiguration[0]->name;
					$PCtemplatePath = $thePage->pageConfigurations->pageConfiguration[0]->templatePath;
	
				// STRUCTURED DATA
				} elseif ($key == 'structuredData') {
					$structure .= '<ul>';
					foreach($thePage->structuredData->structuredDataNodes->structuredDataNode as $key=>$value) {
						// GROUP						
						if ($value->type == 'group') {
							$group1 = $thePage->structuredData->structuredDataNodes->structuredDataNode;
							$group1_identifier = $value->identifier;
							$structure .= '<li>'.$group1_identifier.'</li>';
							foreach($thePage->structuredData->structuredDataNodes->structuredDataNode[$key]->structuredDataNodes->structuredDataNode as $group1_key=>$group1_value) {
								
								$structure .= '<ul>';
								if ($group1_value->type =='group') {
									
									$group1_count = count($thePage->structuredData->structuredDataNodes->structuredDataNode[$key]->structuredDataNodes->structuredDataNode[$group1_key]->structuredDataNodes->structuredDataNode);
									
									$group2 = $group1_value;
									$group2_identifier = $group1_value->identifier;
									$structure .= '<li>'.$group2_identifier.'</li>';
									$structure .= '<ul>';
									
									$group2_evaluation = $thePage->structuredData->structuredDataNodes->structuredDataNode[$key]->structuredDataNodes->structuredDataNode[$group1_key]->structuredDataNodes->structuredDataNode;
									
									// Create array for single Std Objects.
									if ($group1_count <= 1) {
										$group2_evaluation = array($group2_evaluation);	
									}
									
									foreach($group2_evaluation as $group2_key=>$group2_value) {
										if ($group2_value->type == 'group') {
											
											$group2_count = count($thePage->structuredData->structuredDataNodes->structuredDataNode[$key]->structuredDataNodes->structuredDataNode[$group1_key]->structuredDataNodes->structuredDataNode[$group2_key]->structuredDataNodes->structuredDataNode);
											
											$group3 = $group2_value;
											$group3_identifier = $group2_value->identifier;
											$structure .= '<li>'.$group3_identifier.'</li>';
											$structure .= '<ul>';
								
											$group3_evaluation = $thePage->structuredData->structuredDataNodes->structuredDataNode[$key]->structuredDataNodes->structuredDataNode[$group1_key]->structuredDataNodes->structuredDataNode[$group2_key]->structuredDataNodes->structuredDataNode;
											
											// Create array for single Std Objects.
											if ($group2_count <= 1) {
												$group3_evaluation = array($group3_evaluation);	
											}
																						
											foreach($group3_evaluation as $group3_key=>$group3_value) {
												
												if ($group3_value->type == 'group') {
													$group3_counter = $group3_value->identifier . '_count';
													if ($$group3_counter >= 1) {
														$$group3_counter ++;
													} else {
														$$group3_counter = 1;
													}
													
													$group3_count = count($group3_evaluation->structuredDataNodes->structuredDataNode[$group3_key]->structuredDataNodes->structuredDataNode);
																										
													$group4 = $group3_value;
													$group4_identifier = $group3_value->identifier;
													$structure .= '<li>'.$group4_identifier. ' - ' .$group3_key. '</li>';
													$structure .= '<ul>';
													
													if ($group2_count <= 1) {
														$group4_evaluation = $thePage->structuredData->structuredDataNodes->structuredDataNode[$key]->structuredDataNodes->structuredDataNode[$group1_key]->structuredDataNodes->structuredDataNode[$group2_key]->structuredDataNodes->structuredDataNode->structuredDataNodes->structuredDataNode;
													} else {
														$group4_evaluation = $thePage->structuredData->structuredDataNodes->structuredDataNode[$key]->structuredDataNodes->structuredDataNode[$group1_key]->structuredDataNodes->structuredDataNode[$group2_key]->structuredDataNodes->structuredDataNode[$group3_key]->structuredDataNodes->structuredDataNode;
													}
													
													foreach($group4_evaluation as $group4_key=>$group4_value) {
														
														if ($group4_value->type == 'group') {
															$group5 = $group4_value;
															$group5_identifier = $group4_value->identifier;
															$structure .= '<li>'.$group5_identifier.'</li>';
														} elseif ($group4_value->type == 'asset') {
															$identifer = $group4_value->identifier;
															$type = $group4_value->type;
															
															if ($group4_value->assetType == 'file') {
																$info = $group4_value->filePath;
															} elseif ($group4_value->assetType == 'page') {
																$info = $group4_value->pagePath;
															}
															
															$name =   $group3_value->identifier .'_'. $identifer .'_'. $group3_key;
															$$name = array('identifier' => $name , 'type' => $type , 'info' => $info);
															array_push($field_list, $name);
															$structure .= '<li>'.$name.'</li>';
															
														} elseif ($group4_value->type == 'text') {
															$identifer = $group4_value->identifier;
															$type = $group4_value->type;
															$info = $group4_value->text;
															
															$name =   $group3_value->identifier .'_'. $identifer .'_'. $group3_key;
															$$name = array('identifier' => $name , 'type' => $type , 'info' => $info);
															array_push($field_list, $name);
															$structure .= '<li>'.$name.'</li>';
														}
													}
													$structure .= '</ul>';
												} elseif ($group3_value->type == 'asset') {
													$identifer = $group3_value->identifier;
													$type = $group3_value->type;
													
													if ($group3_value->assetType == 'file') {
														$info = $group3_value->filePath;
													} elseif ($group3_value->assetType == 'page') {
														$info = $group3_value->pagePath;
													}
													
													$name =  $identifer;
													$$name = array('identifier' => $name , 'type' => $type , 'info' => $info);
													array_push($field_list, $name);
													$structure .= '<li>'.$name.'</li>';
													
												} elseif ($group3_value->type == 'text') {
													$identifer = $group3_value->identifier;
													$type = $group3_value->type;
													$info = $group3_value->text;
													
													$name =  $identifer;
													$$name = array('identifier' => $name , 'type' => $type , 'info' => $info);
													array_push($field_list, $name);
													$structure .= '<li>'.$name.'</li>';
												}
											}
											$structure .= '</ul>';
										} elseif ($group2_value->type == 'asset') {
											$identifer = $group2_value->identifier;
											$type = $group2_value->type;
											
											if ($group2_value->assetType == 'file') {
												$info = $group2_value->filePath;
											} elseif ($group2_value->assetType == 'page') {
												$info = $group2_value->pagePath;
											}
											
											$name =  $identifer;
											$$name = array('identifier' => $name , 'type' => $type , 'info' => $info);
											array_push($field_list, $name);
											$structure .= '<li>'.$name.'</li>';
											
										} elseif ($group2_value->type == 'text') {
											$identifer = $group2_value->identifier;
											$type = $group2_value->type;
											$info = $group2_value->text;
											
											$name =  $identifer;
											$$name = array('identifier' => $name , 'type' => $type , 'info' => $info);
											array_push($field_list, $name);
											$structure .= '<li>'.$name.'</li>';
										}
									}
									$structure .= '</ul>';
								} elseif ($group1_value->type == 'asset') {
									$identifer = $group1_value->identifier;
									$type = $group1_value->type;
									
									if ($group1_value->assetType == 'file') {
										$info = $group1_value->filePath;
									} elseif ($group1_value->assetType == 'page') {
										$info = $group1_value->pagePath;
									}
									
									$name =  $identifer;
									$$name = array('identifier' => $name , 'type' => $type , 'info' => $info);
									array_push($field_list, $name);
									$structure .= '<li>'.$name.'</li>';
								} elseif ($group1_value->type == 'text') {
									$identifer = $group1_value->identifier;
									$type = $group1_value->type;
									$info = $group1_value->text;
									
									$name =  $identifer;
									$$name = array('identifier' => $name , 'type' => $type , 'info' => $info);
									array_push($field_list, $name);
									$structure .= '<li>'.$name.'</li>';
								}
								$structure .= '</ul>';
							}
						// ASSET	
						} elseif ($value->type == 'asset') {
							$identifer = $value->identifier;
							$type = $value->type;
							
							if ($group4_value->assetType == 'file') {
								$info = $value->filePath;
							} elseif ($group4_value->assetType == 'page') {
								$info = $value->pagePath;
							}
							$info = $value->pagePath;
							
							$name =  $identifer;
							$$name = array('identifier' => $name , 'type' => $type , 'info' => $info);
							array_push($field_list, $name);
							$structure .= '<li>'.$name.'</li>';
							
						// TEXT	
						} elseif ($value->type == 'text') {
							$identifer = $value->identifier;
							$type = $value->type;
							$info = $value->text;
							
							$name =  $identifer;
							$$name = array('identifier' => $name , 'type' => $type , 'info' => $info);
							array_push($field_list, $name);
							$structure .= '<li>'.$name.'</li>';
						}
					} // End foreach
					$structure .= '</ul>';
				} else {
					$structure .= '<div><b>'.$key.'</b></div>';
				} // End if
			} // End if
		} // End foreach
	
		// Echo the structure
		//echo $structure;
	  
	  	// Print All Variables
//		foreach($field_list as $this_field) {
//			echo '<div>';
//			echo $this_field.': ';
//			print_r($$this_field);
//			echo '</div>';	
//		}
				
		$log = '';
		
		// Create Weekdays 1 Array
		$weekdays1_AR = str_split($data_weekdays1);
		
		$data_weekdays1_AR = array();
		
		foreach($weekdays1_AR  as $this_weekday1) {
			if ($this_weekday1 != ' ') {
				switch ($this_weekday1) {
					case 'M':
						$this_weekday1_value = 1;
						break;
					case 'T':
						$this_weekday1_value = 2;
						break;
					case 'W':
						$this_weekday1_value = 3;
						break;
					case 'R':
						$this_weekday1_value = 4;
						break;
					case 'F':
						$this_weekday1_value = 5;
						break;
					case 'Sa':
						$this_weekday1_value = 6;
						break;
					case 'Su':
						$this_weekday1_value = 7;
						break;
					default:
						$this_weekday1_value = 'None';
				}
				
				$this_weekday1_AR = array ('value' => $this_weekday1_value);
				array_push($data_weekdays1_AR, $this_weekday1_AR);
			}
		}	
		
		// Create Weekdays 2 Array
		$weekdays2_AR = str_split($data_weekdays2);
		
		$data_weekdays2_AR = array();
		
		foreach($weekdays2_AR  as $this_weekday2) {
			if ($this_weekday2 != ' ') {
				switch ($this_weekday2) {
					case 'M':
						$this_weekday2_value = 1;
						break;
					case 'T':
						$this_weekday2_value = 2;
						break;
					case 'W':
						$this_weekday2_value = 3;
						break;
					case 'R':
						$this_weekday2_value = 4;
						break;
					case 'F':
						$this_weekday2_value = 5;
						break;
					case 'Sa':
						$this_weekday2_value = 6;
						break;
					case 'Su':
						$this_weekday2_value = 7;
						break;
					default:
						$this_weekday2_value = 'None';
				}
				
				$this_weekday2_AR = array ('value' => $this_weekday2_value);
				array_push($data_weekdays2_AR, $this_weekday2_AR);
			}
		}	
						
		// Instructor
		$data_instructor_AR = array();
		$entire_instructors_AR = $data_section_system_name . '-instructors';
		$metadata_instructors_display_name = '';
		
		foreach ($$entire_instructors_AR as $thisInstructor) {

			$this_first = $thisInstructor['first'];
			$this_last = $thisInstructor['last'];
			$this_emplid = $thisInstructor['emplid'];
			
			if ($this_last == '') {
				$metadata_instructors_display_name = '';
				$data_instructors_ppid = '';
				$data_instructor_name = '';
				$data_person_instructor_asset_path = '';
			} else {
				$metadata_instructors_display_name .= $this_last . '; ';
				
				$data_instructor_name = '';
			
				// Instructor Display Name
				if ($this_last) {
					$data_instructor_name = $this_last;
				} 
			
				if ($this_first) {
					$data_instructor_name .= ', ' . $this_first;
				}
				
				// Instructor Person Asset
				$data_person_instructor_asset = '';
				$data_person_instructor_asset_path = '';
				$data_instructors_ppid = '';
				$add_instructor_to_array = false;
				
				if (($this_emplid != '') && ($this_emplid != 'P')) { // Blank Instructor
					if ($$this_emplid) { // Instructor found in lookup table

						$data_instructor_id_AR = $$this_emplid;
						
						$data_person_instructor_asset = $data_instructor_id_AR['last_name'] .'_'. $data_instructor_id_AR['first_name'] .'_'. $data_instructor_id_AR['ppid'];
							// Removes Spaces 
							$data_person_instructor_asset = str_replace(" ", "_", $data_person_instructor_asset);
							// Removes periods
							$data_person_instructor_asset = str_replace(".", "", $data_person_instructor_asset);
							// Removes apostrophes
							$data_person_instructor_asset = str_replace("'", "", $data_person_instructor_asset);
						$data_person_instructor_asset_path = 'about/people/faculty/' . $data_person_instructor_asset;
						
						$data_instructors_ppid = $data_instructor_id_AR['ppid'];
						
						$add_instructor_to_array = true;
					} // End if
				} // End if		
			}// End if

			// Create the Instructor Array
			$this_instructor_AR = array (
				'type' => 'group',
				'identifier' => 'Instructor',
				'structuredDataNodes' => array (										
					'structuredDataNode' => array (
						// Instructors PPID
						array (
							'type' => 'text',
							'identifier' => 'EmployeeId',
							'text' => $data_instructors_ppid
						),
						
						// Formatted Name
						array (
							'type' => 'text',
							'identifier' => 'FormattedName',
							'text' => $data_instructor_name
						),
						
						// Bio Page
						array (
							'type' => 'asset',
							'identifier' => 'PersonInstructor',
							'assetType' => 'page',
							'pagePath' => $data_person_instructor_asset_path
						),
					)
				)
			);
			array_push($data_instructor_AR, $this_instructor_AR);
		} // End foreach

		
			// Create the Required and Recommended Resources
//			echo '<br>Number of Required: ' . $RequiredResource_count;
//			echo '<br>Number of Recommended: ' . $RecommendedResource_count;
			
			// Required 
			$Required_AR = array ();
			$i = 0;
			while ($i < $RequiredResource_count) {
				$theResourceType = 'RequiredResource_ResourceType_'.$i;
				$thisResourceType =  $$theResourceType;
				$theStandardNumberType = 'RequiredResource_StandardNumberType_'.$i;
				$thisStandardNumberType =  $$theStandardNumberType;
				$theStandardNumber = 'RequiredResource_StandardNumber_'.$i;
				$thisStandardNumber =  $$theStandardNumber;
				$theTitle = 'RequiredResource_Title_'.$i;
				$thisTitle =  $$theTitle;
				$theAuthorGivenName = 'RequiredResource_AuthorGivenName_'.$i;
				$thisAuthorGivenName =  $$theAuthorGivenName;
				$theAuthorFamily = 'RequiredResource_AuthorFamily_'.$i;
				$thisAuthorFamily =  $$theAuthorFamily;
				$thePublicationYear = 'RequiredResource_PublicationYear_'.$i;
				$thisPublicationYear =  $$thePublicationYear;
				$theCost = 'RequiredResource_Cost_'.$i;
				$thisCost =  $$theCost;
				$theJournalTitle = 'RequiredResource_JournalTitle_'.$i;
				$thisJournalTitle =  $$theJournalTitle;
				$theJournalLink = 'RequiredResource_JournalLink_'.$i;
				$thisJournalLink =  $$theJournalLink;
				$theInternetWebAddress = 'RequiredResource_InternetWebAddress_'.$i;
				$thisInternetWebAddress =  $$theInternetWebAddress;
				$theDescription = 'RequiredResource_Description_'.$i;
				$thisDescription =  $$theDescription;
				
				$thisRequired_AR = array (
					'type' => 'group',
					'identifier' => 'RequiredResource',
					'structuredDataNodes' => array (
						'structuredDataNode' => array (
							// Resource Type
							array (
								'type' => 'text',
								'identifier' => 'ResourceType',
								'text' => $thisResourceType['info']
							),	   
							// Standar Number Type
							array (
								'type' => 'text',
								'identifier' => 'StandardNumberType',
								'text' => $thisStandardNumberType['info']
							),
							// Standard Number
							array (
								'type' => 'text',
								'identifier' => 'StandardNumber',
								'text' => $thisStandardNumber['info']
							),
							// Title
							array (
								'type' => 'text',
								'identifier' => 'Title',
								'text' => $thisTitle['info']
							),
							// AuthorGivenName
							array (
								'type' => 'text',
								'identifier' => 'AuthorGivenName',
								'text' => $thisAuthorGivenName['info']
							),
							// AuthorFamily
							array (
								'type' => 'text',
								'identifier' => 'AuthorFamily',
								'text' => $thisAuthorFamily['info']
							),
							// PublicationYear
							array (
								'type' => 'text',
								'identifier' => 'PublicationYear',
								'text' => $thisPublicationYear['info']
							),
							// Cost
							array (
								'type' => 'text',
								'identifier' => 'Cost',
								'text' => $thisCost['info']
							),
							// JournalTitle
							array (
								'type' => 'text',
								'identifier' => 'JournalTitle',
								'text' => $thisJournalTitle['info']
							),
							// JournalLink
							array (
								'type' => 'text',
								'identifier' => 'JournalLink',
								'text' => $thisJournalLink['info']
							),
							// InternetWebAddress
							array (
								'type' => 'text',
								'identifier' => 'InternetWebAddress',
								'text' => $thisInternetWebAddress['info']
							),
							// Description
							array (
								'type' => 'text',
								'identifier' => 'Description',
								'text' => $thisDescription['info']
							),
						)
					)
				);
			
				array_push($Required_AR, $thisRequired_AR);
				$i++;
			}
						
			// Recommended 
			$Recommended_AR = array ();
			$i = 0;
			while ($i < $RecommendedResource_count) {
				$theResourceType = 'RecommendedResource_ResourceType_'.$i;
				$thisResourceType =  $$theResourceType;
				$theStandardNumberType = 'RecommendedResource_StandardNumberType_'.$i;
				$thisStandardNumberType =  $$theStandardNumberType;
				$theStandardNumber = 'RecommendedResource_StandardNumber_'.$i;
				$thisStandardNumber =  $$theStandardNumber;
				$theTitle = 'RecommendedResource_Title_'.$i;
				$thisTitle =  $$theTitle;
				$theAuthorGivenName = 'RecommendedResource_AuthorGivenName_'.$i;
				$thisAuthorGivenName =  $$theAuthorGivenName;
				$theAuthorFamily = 'RecommendedResource_AuthorFamily_'.$i;
				$thisAuthorFamily =  $$theAuthorFamily;
				$thePublicationYear = 'RecommendedResource_PublicationYear_'.$i;
				$thisPublicationYear =  $$thePublicationYear;
				$theCost = 'RecommendedResource_Cost_'.$i;
				$thisCost =  $$theCost;
				$theJournalTitle = 'RecommendedResource_JournalTitle_'.$i;
				$thisJournalTitle =  $$theJournalTitle;
				$theJournalLink = 'RecommendedResource_JournalLink_'.$i;
				$thisJournalLink =  $$theJournalLink;
				$theInternetWebAddress = 'RecommendedResource_InternetWebAddress_'.$i;
				$thisInternetWebAddress =  $$theInternetWebAddress;
				$theDescription = 'RecommendedResource_Description_'.$i;
				$thisDescription =  $$theDescription;
				
				$thisRecommended_AR = array (
					'type' => 'group',
					'identifier' => 'RecommendedResource',
					'structuredDataNodes' => array (
						'structuredDataNode' => array (
							// Resource Type
							array (
								'type' => 'text',
								'identifier' => 'ResourceType',
								'text' => $thisResourceType['info']
							),	   
							// Standar Number Type
							array (
								'type' => 'text',
								'identifier' => 'StandardNumberType',
								'text' => $thisStandardNumberType['info']
							),
							// Standard Number
							array (
								'type' => 'text',
								'identifier' => 'StandardNumber',
								'text' => $thisStandardNumber['info']
							),
							// Title
							array (
								'type' => 'text',
								'identifier' => 'Title',
								'text' => $thisTitle['info']
							),
							// AuthorGivenName
							array (
								'type' => 'text',
								'identifier' => 'AuthorGivenName',
								'text' => $thisAuthorGivenName['info']
							),
							// AuthorFamily
							array (
								'type' => 'text',
								'identifier' => 'AuthorFamily',
								'text' => $thisAuthorFamily['info']
							),
							// PublicationYear
							array (
								'type' => 'text',
								'identifier' => 'PublicationYear',
								'text' => $thisPublicationYear['info']
							),
							// Cost
							array (
								'type' => 'text',
								'identifier' => 'Cost',
								'text' => $thisCost['info']
							),
							// JournalTitle
							array (
								'type' => 'text',
								'identifier' => 'JournalTitle',
								'text' => $thisJournalTitle['info']
							),
							// JournalLink
							array (
								'type' => 'text',
								'identifier' => 'JournalLink',
								'text' => $thisJournalLink['info']
							),
							// InternetWebAddress
							array (
								'type' => 'text',
								'identifier' => 'InternetWebAddress',
								'text' => $thisInternetWebAddress['info']
							),
							// Description
							array (
								'type' => 'text',
								'identifier' => 'Description',
								'text' => $thisDescription['info']
							),
						)
					)
				);
			
				array_push($Recommended_AR, $thisRecommended_AR);
				$i++;
			}
		
		// Create the Grading Arrays
//			echo '<br>Number of Assignments: ' . $AssessmentAssignment_count;
//			echo '<br>Number of Exams: ' . $AssessmentExam_count;
			
			// Assignments 
			$Assignments_AR = array ();
			$i = 0;
			while ($i < $AssessmentAssignment_count) {
				$theName = 'AssessmentAssignment_Name_'.$i;
				$thisName =  $$theName;
				$theDescription = 'AssessmentAssignment_Description_'.$i;
				$thisDescription = $$theDescription;
				$thePercentage = 'AssessmentAssignment_PercentageOfTotalGrade_'.$i;
				$thisPercentage = $$thePercentage;
				
				$thisAssignment_AR = array (
					'type' => 'group',
					'identifier' => 'AssessmentAssignment',
					'structuredDataNodes' => array (
						'structuredDataNode' => array (
							// Name
							array (
								'type' => 'text',
								'identifier' => 'Name',
								'text' => $thisName['info']
							),	   
							// Description
							array (
								'type' => 'text',
								'identifier' => 'Description',
								'text' => $thisDescription['info']
							),
							// Percentage of Total Grade
							array (
								'type' => 'text',
								'identifier' => 'PercentageOfTotalGrade',
								'text' => $thisPercentage['info']
							),
						)
					)
				);
			
				array_push($Assignments_AR, $thisAssignment_AR);
				$i++;
			}
			
			// Exams 
			$Exams_AR = array ();
			$i = 0;
			while ($i < $AssessmentExam_count) {
				$theName = 'AssessmentExam_Name_'.$i;
				$thisName =  $$theName;
				$theDescription = 'AssessmentExam_Description_'.$i;
				$thisDescription = $$theDescription;
				$thePercentage = 'AssessmentExam_PercentageOfTotalGrade_'.$i;
				$thisPercentage = $$thePercentage;
				
				$thisExam_AR = array (
					'type' => 'group',
					'identifier' => 'AssessmentExam',
					'structuredDataNodes' => array (
						'structuredDataNode' => array (
							// Name
							array (
								'type' => 'text',
								'identifier' => 'Name',
								'text' => $thisName['info']
							),	   
							// Description
							array (
								'type' => 'text',
								'identifier' => 'Description',
								'text' => $thisDescription['info']
							),
							// Percentage of Total Grade
							array (
								'type' => 'text',
								'identifier' => 'PercentageOfTotalGrade',
								'text' => $thisPercentage['info']
							),
						)
					)
				);
				
				array_push($Exams_AR, $thisExam_AR);
				$i++;
			}
		
		// Set Page Asset Information
		$asset = array( 
			'page' => array (
				'path' => $path,
				'shouldBePublished' => true,
				'shouldBeIndexed' => true,
				'contentTypePath' => 'class_section',
				'parentFolderPath' => $data_section_parent_folder,
				'metadataSetPath' => 'class_section',
				'name' => $data_section_system_name,
				'siteName' => 'College',
				'metadata' => array(
					'author' => $metadata_author,
					'displayName' => $data_section_display_name,
					'title' => $data_section_meta_title,
					'dynamicFields' => array (
						'dynamicField' => array (
							// Metadata - Catalog Display Name
							array (
								'name' => 'catalog_display_name',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_section_catalog_display_name
									)
								)
							),
							// Metadata - Topic Display name
							array (
								'name' => 'topic_display_name',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $metadata_dynamicField_topic_display_name
									)
								)
							),
							// Metadata - Session
							array (
								'name' => 'Session',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data[$session]
									)
								)
							),
							// Metadata - Term
							array (
								'name' => 'Term',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data[$trm]
									)
								)
							),
							// Metadata - GER
							array (
								'name' => 'GER',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_ger
									)
								)
							),
							// Metadata - GER Variable
							array (
								'name' => 'GER_variable',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_ger_variable
									)
								)
							),
							// Metadata - Instructors Display Name 
							array (
								'name' => 'instructors_display_name',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $metadata_instructors_display_name
									)
								)
							),
							// Metadata - Study Abroad
							array (
								'name' => 'StudyAbroad',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_study_abroad
									)
								)
							),
							// Metadata - Lab
							array (
								'name' => 'Lab',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_lab
									)
								)
							),
							// Metadata - First Year Appropriate
							array (
								'name' => 'FirstYearAudience',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' =>  $metadata_dynamicField_FirstYearAudience
									)
								)
							),
							// Metadata - Status
							array (
								'name' => 'Status',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_currently_offered
									)
								)
							),
							// Metadata - Start Year
							array (
								'name' => 'StartTimeYear',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_start_time_year
									)
								)
							),
							// Metadata - Start Month
							array (
								'name' => 'StartTimeMonth',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_start_time_month
									)
								)
							),
							// Metadata - Start Day
							array (
								'name' => 'StartTimeDay',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_start_time_day
									)
								)
							),
							// Metadata - End Year
							array (
								'name' => 'EndTimeYear',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_end_time_year
									)
								)
							),
							// Metadata - End Month
							array (
								'name' => 'EndTimeMonth',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_end_time_month
									)
								)
							),
							// Metadata - End Day
							array (
								'name' => 'EndTimeDay',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_end_time_day
									)
								)
							),
							
							// First Set of Days & Time
							// Metadata - Weekdays1
							array (
								'name' => 'Weekdays1',
								'fieldValues' => array (
									'fieldValue' => $data_weekdays1_AR
								)
							),
							// Metadata - Start Hour1
							array (
								'name' => 'StartTimeHour1',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_start_time_hour1
									)
								)
							),
							// Metadata - Start Minute1
							array (
								'name' => 'StartTimeMinute1',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_start_time_minute1
									)
								)
							),
							// Metadata - End Hour1
							array (
								'name' => 'EndTimeHour1',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_end_time_hour1
									)
								)
							),
							// Metadata - End Minute1
							array (
								'name' => 'EndTimeMinute1',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_end_time_minute1
									)
								)
							),
							
							// Second Set of Days & Time
							// Metadata - Weekdays2
							array (
								'name' => 'Weekdays2',
								'fieldValues' => array (
									'fieldValue' => $data_weekdays2_AR
								)
							),
							// Metadata - Start Hour2
							array (
								'name' => 'StartTimeHour2',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_start_time_hour2
									)
								)
							),
							// Metadata - Start Minute2
							array (
								'name' => 'StartTimeMinute2',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_start_time_minute2
									)
								)
							),
							// Metadata - End Hour2
							array (
								'name' => 'EndTimeHour2',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_end_time_hour2
									)
								)
							),
							// Metadata - End Minute2
							array (
								'name' => 'EndTimeMinute2',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_end_time_minute2
									)
								)
							),
													
							// Metadata - School
							array (
								'name' => 'School',
								'fieldValues' => array (
									'fieldValue' => array (
										'value' => $data_school
									)
								)
							),	
						)
					)
				),
				
				'structuredData' => array (
					'definitionPath' => 'class_section',
					'structuredDataNodes' => array (													
						'structuredDataNode' => array (
							
							// PeopleSoftCodes Group
							array (
								'type' => 'group',
								'identifier' => 'PeopleSoftCodes',
								'structuredDataNodes' => array (										
									'structuredDataNode' => array (
										// Course ID
										array (
											'type' => 'text',
											'identifier' => 'CourseID',
											'text' => $data[$course_id]
										),
										
										// Crosslisting ID
										array (
											'type' => 'text',
											'identifier' => 'CrosslistingID',
											'text' => $data[$comb_sects_id]
										),
								
										// Class ID
										array (
											'type' => 'text',
											'identifier' => 'ClassID',
											'text' => $data[$class_nbr] 
										),
										
										// Catalog Number
										array (
											'type' => 'text',
											'identifier' => 'NoteMessagePeoplesoft',
											'text' => $data_peoplesoft_notes
										),
										
										// Grading Option
										array (
											'type' => 'text',
											'identifier' => 'CreditGradingOption',
											'text' => $data[$grd_bse]
										)
									)								
								) 
							), //End PeopleSoftCodes Group
							
							// Catalog Course Connection
							array (
								'type' => 'asset',
								'identifier' => 'CatalogInfo',
								'assetType' => 'page',
								'pagePath' => $data_catalog_course_connection
							), // End Catalog Course Connection
							
							// Number Group
							array (
								'type' => 'group',
								'identifier' => 'Number',
								'structuredDataNodes' => array (										
									'structuredDataNode' => array (
										// Subject
										array (
											'type' => 'text',
											'identifier' => 'SubjectAbbreviation',
											'text' => $data[$subject]
										),
										
										// Catalog Number
										array (
											'type' => 'text',
											'identifier' => 'CatalogNumber',
											'text' => $data[$catalog_nbr]
										),
										
										// Section Number
										array (
											'type' => 'text',
											'identifier' => 'CatalogNumberExtension',
											'text' => $data_section
										),
									)
								)
							), // End Number Group
							
							// Title Group
							array (
								'type' => 'group',
								'identifier' => 'Title',
								'structuredDataNodes' => array (										
									'structuredDataNode' => array (
										// Short Title
										array (
											'type' => 'text',
											'identifier' => 'ShortTitle',
											'text' => $data[$title]
										),
										
										// Long Title 
										array (
											'type' => 'text',
											'identifier' => 'LongTitle',
											'text' => $data[$topic]
										),
										
										// Short Title Text
										array (
											'type' => 'text',
											'identifier' => 'ShortTitleText',
											'text' => $data[$title]
										),
									)
								)
							), // End Title Group
													
							// Intstructors Group
							array (
								'type' => 'group',
								'identifier' => 'Instructors',
								'structuredDataNodes' => array (										
									'structuredDataNode' => $data_instructor_AR
								)
							), // End Instructors Group
							
							// Location Group
							array (
								'type' => 'group',
								'identifier' => 'InstructionSite',
								'structuredDataNodes' => array (										
									'structuredDataNode' => array (
										// Building and Room 1
										array (
											'type' => 'text',
											'identifier' => 'InstructionSitePeoplesoft1',
											'text' => $data_building_room1
										),
										
										// Building and Room 2
										array (
											'type' => 'text',
											'identifier' => 'InstructionSitePeoplesoft2',
											'text' => $data_building_room2
										),
									)
								)
							), // End Location Group
							
							// Credits Group
							array (
								'type' => 'group',
								'identifier' => 'Credits',
								'structuredDataNodes' => array (										
									'structuredDataNode' => array (
										// Minimum Credits
										array (
											'type' => 'text',
											'identifier' => 'CreditMinimumValue',
											'text' => $data[$min_hrs]
										),
										
										// Maximum Credits
										array (
											'type' => 'text',
											'identifier' => 'CreditMaximumValue',
											'text' => $data[$max_hrs]
										),
									)
								)
							), // End Credits Group
							
							// Instructors Note Group
							array (
								'type' => 'group',
								'identifier' => 'InstructorNotes',
								'structuredDataNodes' => array (										
									'structuredDataNode' => array (
										// NoteMessageInstructor 
										array (
											'type' => 'text',
											'identifier' => 'NoteMessageInstructor',
											'text' => $NoteMessageInstructor['info']
										),
										// SyllabusFile
										array (
											'type' => 'asset',
											'identifier' => 'SyllabusFile',
											'assetType' => 'file',
											'filePath' => $SyllabusFile['info']
										),
										// InternetWebAddress 
										array (
											'type' => 'text',
											'identifier' => 'InternetWebAddress',
											'text' => $InternetWebAddress['info']
										),
										// Resources 
										array (
											'type' => 'group',
											'identifier' => 'Resources',
											'structuredDataNodes' => array (
												'structuredDataNode' => array (
													// Required
													array (
														'type' => 'group',
														'identifier' => 'Required',
														'structuredDataNodes' => array (
															'structuredDataNode' => $Required_AR
														)
													),
													// Recommended
													array (
														'type' => 'group',
														'identifier' => 'Recommended',
														'structuredDataNodes' => array (
															'structuredDataNode' => $Recommended_AR
														)
													),
												)
											)
										),
										// Grading 
										array (
											'type' => 'group',
											'identifier' => 'Grading',
											'structuredDataNodes' => array (
												'structuredDataNode' => array (
													// Assignments
													array (
														'type' => 'group',
														'identifier' => 'Assignments',
														'structuredDataNodes' => array (
															'structuredDataNode' => $Assignments_AR
														)
													),
													// Exams
													array (
														'type' => 'group',
														'identifier' => 'Exams',
														'structuredDataNodes' => array (
															'structuredDataNode' => $Exams_AR
														)
													),
												)
											)
										),
									)
								)
								
							), // End Details Group
							
							// Related Courses Group
							array (
								'type' => 'group',
								'identifier' => 'RelatedCourses',
								'structuredDataNodes' => array (										
									'structuredDataNode' => array (
										// Prerequisities Group
										array (
											'type' => 'group',
											'identifier' => 'Prerequisites',
											'structuredDataNodes' => array (										
												'structuredDataNode' => array (
													// Prerequisite
													array (
														'type' => 'text',
														'identifier' => 'Prerequisite',
														'text' => $Prerequisite['info']
													),
												)
											)
										), // End Prerequisites Group
										
										// Corequisites Group
										array (
											'type' => 'group',
											'identifier' => 'Corequisites',
											'structuredDataNodes' => array (										
												'structuredDataNode' => array (
													// Corequisite
													array (
														'type' => 'text',
														'identifier' => 'Corequisite',
														'text' => $Corequisite['info']
													),
												)
											)
										), // End Corequisites Group
										
										// CrossListed Courses Group
										array (
											'type' => 'group',
											'identifier' => 'CrossListedCourses',
											'structuredDataNodes' => array (										
												'structuredDataNode' => array (
													// CrossListed
													array (
														'type' => 'text',
														'identifier' => 'CrossListed',
														'text' => $data_crosslisted
													),
												)
											)
										), // End CrossListed Courses Group
									)
								)
								
							), // End Details Group
							
													
						) // End StructuredDataNode
	
					) // End StructuredDataNodes
					
				) // End StructuredData
			)
		);

				
		$params = array( 'authentication' => $auth,
						'asset' => $asset );
		
		try {
			$logStartTime = date('H:i:s');
			$startDateTime = strtotime(date('r'));
			
			$out = $service->edit($params);
			
			if ( $out->editReturn->success != 'true' ) {
				$log .= '<h1 style="color:red;">Failed to edit <strong>'.$data_section_system_name.'</strong> class section.</h1>';
				$log .= "<p>" .$out->editReturn->message . "</p>";
			}
			else
			{
				$log .= '<h1>Successful edit of <strong>'.$data_section_system_name.'</strong> class section.</h1>';
	
				// Include Access Code
				$which_access = 'full';
				//include('../includes/set_access.php');
			}
			
			$logEndTime = date('H:i:s');
			$endDateTime = strtotime(date('r'));
			
			$timeDifference = $endDateTime - $startDateTime;
			
			$logDate = date('Y-m-d');
			$logFile = 'logs/edit_'.$data_section_semester.'_'.$logDate.'.txt';
			$logHandle = fopen($logFile, 'a') or die("can't open file");
		
			$logData = date('r') . ", Asset: " .$data_section_system_name. ", Duration: " . $logStartTime . " - " . $logEndTime . ", Status: " . $out->editReturn->success . "; ". $out->editReturn->message . " - " . $timeDifference . " sec" . "\r\n";
			fwrite($logHandle, $logData);
			
			fclose($logHandle);
			
			
		}
		
		catch (Exception $e) {
			$log .= '<h1 style="color:red;">WSDL edit error on <strong>'.$data_section_system_name.'</strong> class section:</h1>';
			$log .= "<p>" . $e->getMessage() . "</p>";
		}
	
		echo $log;
	}
// print_r($asset);	
?>
</body>
</html>