<?php
	session_start();
?>

<?php 
	ini_set('display_errors', 1);
	ini_set('log_errors', 1);
	error_reporting(E_ERROR | E_PARSE);
	set_time_limit(0);
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
	<title>Section Get CSV Data</title>

    <link rel="stylesheet" type="text/css" href="../includes/style.css" />

</head>

<body>

<?php 
	include("../includes/headermenu.php");
	
	echo "<h2>Create All Atlas GER Pages</h2><hr />";
	
	
	include '../includes/service.php';
	include '../includes/functions.php';

	if ($_REQUEST['submit']) {
		if ($_REQUEST['term_code']) {
			$start_webservices = true;
			$data_term_code = $_REQUEST['term_code'];
		} else {
			$start_webservices = false;
			$missing = true;
		}
	}
	
	if ($start_webservices == true) {		
		
		// Term Variables
		$trm_AR = str_split($data_term_code);
		$data_section_year = '20' . $trm_AR[1] . $trm_AR[2];
		$semester = $trm_AR[3];
		
		if ($semester == '1') {
			$data_section_semester = 'spring';
			$data_section_semester_desc = 'Spring';
		} elseif ($semester == '6') {
			$data_section_semester = 'summer';
			$data_section_semester_desc = 'Summer';							
		} elseif ($semester == '9') {
			$data_section_semester = 'fall';
			$data_section_semester_desc = 'Fall';
		}
		
		// Choose subnav block
		if ($semester == '6') {
			$subnav_block = '_internal/blocks/static/atlas/block_subnav_atlas_ger_summer';
		} else {
			$subnav_block = '_internal/blocks/static/atlas/block_subnav_atlas_ger_fall_spring';
		}
		
		// Check to see if all the folders exist
			$year_parent_folder = 'academic/atlas';
			$year_folder = $year_parent_folder . '/' . $data_section_year;
			$semester_parent_folder = $year_folder;
			$semester_folder = $semester_parent_folder . '/' . $data_section_semester;
			$ger_parent_folder = $semester_folder;
			$ger_folder = $ger_parent_folder . '/general_education';
			
			
			$year_folder_exists = '';
			$semester_folder_exists = '';
			$department_folder_exists = '';
		
			// Year Folder
				$path = array('path' => $year_folder, 'siteName' => 'College');
				$id = array('path' => $path, 'type' => 'folder');
				$readParams = array( 'authentication' => $auth, 'identifier' => $id );				
				
				$folderRead = $service->read($readParams);
							
				if ( $folderRead->readReturn->success != 'true' ) {
					$folderAsset = array( 
						'folder' => array (
							'shouldBePublished' => true,
							'shouldBeIndexed' => true,
							'parentFolderPath' => $year_parent_folder,
							'name' => $data_section_year,
							'siteName' => 'College',
							'metadataSetPath' => 'Default',
							'metadata' => array(
								'author' => 'Web Services',
								'displayName' => $data_section_year,
								'title' => $data_section_year
							)
						)
					);
					
					$createParams = array( 'authentication' => $auth, 'asset' => $folderAsset );	
					$folderCreate = $service->create($createParams);
					
					if ( $folderCreate->createReturn->success == 'true' ) {
						echo "<h1>Created ". $data_section_year ." Folder.</h1>";
						$year_folder_exists = true;
					} // End if
					
					// Include Access Code
					$which_access = 'limited';
					include('../includes/set_access.php');
					
				} else {
					$year_folder_exists = true;	
				}// End if
			// End Year Folder
			
			// Semester Folder
			if ($year_folder_exists) {
				$path = array('path' => $semester_folder, 'siteName' => 'College');
				$id = array('path' => $path, 'type' => 'folder');
				$readParams = array( 'authentication' => $auth, 'identifier' => $id );				
				
				$folderRead = $service->read($readParams);
							
				if ( $folderRead->readReturn->success != 'true' ) {
					$folderAsset = array( 
						'folder' => array (
							'shouldBePublished' => true,
							'shouldBeIndexed' => true,
							'parentFolderPath' => $semester_parent_folder,
							'name' => $data_section_semester,
							'siteName' => 'College',
							'metadataSetPath' => 'Default',
							'metadata' => array(
								'author' => 'Web Services',
								'displayName' => $data_section_semester,
								'title' => $data_section_semester
							)
						)
					);
					
					$createParams = array( 'authentication' => $auth, 'asset' => $folderAsset );	
					$folderCreate = $service->create($createParams);
					
					if ( $folderCreate->createReturn->success == 'true' ) {
						echo "<h1>Created ". $data_section_semester ." Folder.</h1>";
						$semester_folder_exists = true;
					} // End if
					
					// Include Access Code
					$which_access = 'limited';
					include('../includes/set_access.php');
					
				} else {
					$semester_folder_exists = true;	
				}// End if
			} // End if - Semester Folder
			
			// GER Folder
			if ($semester_folder_exists) {
				$path = array('path' => $ger_folder, 'siteName' => 'College');
				$id = array('path' => $path, 'type' => 'folder');
				$readParams = array( 'authentication' => $auth, 'identifier' => $id );				
				
				$folderRead = $service->read($readParams);
							
				if ( $folderRead->readReturn->success != 'true' ) {
					$folderAsset = array( 
						'folder' => array (
							'shouldBePublished' => true,
							'shouldBeIndexed' => true,
							'parentFolderPath' => $ger_parent_folder,
							'name' => 'general_education',
							'siteName' => 'College',
							'metadataSetPath' => 'Default',
							'metadata' => array(
								'author' => 'Web Services',
								'displayName' => 'General Education Requirements',
								'title' => 'General Education Requirements'
							)
						)
					);
					
					$createParams = array( 'authentication' => $auth, 'asset' => $folderAsset );	
					$folderCreate = $service->create($createParams);
					
					if ( $folderCreate->createReturn->success == 'true' ) {
						echo "<h1>Created 'general_education' folder.</h1>";
					}// End if
				
					// Include Access Code
					$which_access = 'limited';
					include('../includes/set_access.php');
					
				} // End if
			} // End if - Department Folder
		// End Folder Check


		$ger_AR = array ('fsem', 'fwrt', 'hal', 'hal_hap', 'hap', 'hsc', 'hth', 'mqr', 'ped', 'snt', 'wrt');
							

		foreach($ger_AR as $thisGER) {
			
			$log = '';
			
			$data_ger_desc = get_ger_desc($thisGER);
				
			// Set Combination Variables
			$data_display_name = $data_ger_desc . ' - ' . $data_section_semester_desc . ' ' .  $data_section_year;
			$data_title =$data_ger_desc . ' - ' . $data_section_semester_desc . ' ' .  $data_section_year;
			$data_system_name = $thisGER;
			$data_parent_folder = 'academic/atlas/' .$data_section_year. '/' .$data_section_semester. '/general_education';
			$data_metadata_set = 'atlas_department';
			$data_ger_path = $data_parent_folder .'/'. $data_system_name;
			$data_index_block = '_internal/blocks/index/class_sections_atlases/block_sections_'. $data_term_code;
			
			$asset = array( 
				'page' => array (
					'shouldBePublished' => true,
					'shouldBeIndexed' => true,
					'contentTypePath' => 'atlas_listing_gers',
					'parentFolderPath' => $data_parent_folder,
					'metadataSetPath' => $data_metadata_set,
					'name' => $data_system_name,
					'siteName' => 'College',
					'metadata' => array(
						'author' => 'Web Services',
						'displayName' => $data_display_name,
						'title' => $data_title,
					),
					
					'pageConfigurations' => array (
						'pageConfiguration' => array (
							'name' => 'HTML',
							'defaultConfiguration' => true,
							'templatePath' => '_internal/templates/college_secondary',
							'pageRegions' => array (
								'pageRegion' => array (
									// Default Region				   
									array (
										'name' => 'DEFAULT',
										'blockPath' => '_internal/blocks/index/block_index_current_page',
										'formatPath'=> '_internal/stylesheets/atlas/ger/'.$thisGER,
									),
									// SubNav Region
									array (
										'name' => 'SUBNAV',
										'blockPath' => $subnav_block,
									),
								),
							),
						),
					),
					
					'structuredData' => array (
						'definitionPath' => 'pagecontent',
						'structuredDataNodes' => array (													
							'structuredDataNode' => array (
							
								// Index Block
								array (
									'type' => 'asset',
									'identifier' => 'block-content',
									'assetType' => 'block',
									'blockPath' => $data_index_block
								),
								
							) // End StructuredDataNode

						) // End StructuredDataNodes
				
					) // End StructuredData
					
				) // End page
				
			); // End Asset
			
			// Check to see if department exists
			$path = array('path' => $data_ger_path, 'siteName' => 'College');
			$id = array('path' => $path, 'type' => 'page');
			$readParams = array( 'authentication' => $auth, 'identifier' => $id );				
			
			$pageRead = $service->read($readParams);
						
			if ($pageRead->readReturn->success != 'true' ) {
		
				$params = array( 'authentication' => $auth,
								'asset' => $asset );
				
				try {
					$out = $service->create($params);
					
					if ( $out->createReturn->success != 'true' ) {
						$log .= '<h1 style="color:red;">Failed to create asset.</h1>';
						$log .= "<p>" .$out->createReturn->message . "</p>";
					} else {
						$log .= '<h1>Successful creation of page - '.$data_system_name.'.</h1>';					
						
						// Include Access Code
						$which_access = 'limited';
						include('../includes/set_access.php');
						
						// Set Session Variable Completed
						if ($semester == '6') {
							$_SESSION['summer_create_ger_pages'] = true;
						} else {
							$_SESSION['fall_create_ger_pages'] = true;
						}
					}
				}
				
				catch (Exception $e) {
					$log .= '<h1 style="color:red;">WSDL creation error on asset:</h1>';
					$log .= "<p>" . $e->getMessage() . "</p>";
				}
	
				echo $log;			
			
			} else {
				echo "<h1>The ".$data_system_name." page already exists</h1>";
	
				// Include Access Code
				$which_access = 'limited';
				include('../includes/set_access.php');
			}
					
		} // End foreach	

	} else {
?>
		<form enctype="multipart/form-data" action="<?php echo $PHP_SELF;?>" method="post" name="create_edit" target="_self">
			<div class="information">
<?php
					if ($missing) {
?>				
						<p style="color:red;">You must fill out all fields below.</p>
<?php
					}
?>
                <p>
                    Enter the term code to create an index block for: 
                    <input name="term_code" type="text" value="<?php echo $_REQUEST['term_code']; ?>" size="10" maxlength="5" />
                </p>
                
                <p>
                    <input name="submit" type="submit" value="Start Web Services" />
                </p>
            </div>
		</form>
<?php
	} // End if ($start_webservices == true)
?>

</body>
</html>